
From: Matt Tolentino <metolent@snoqualmie.dp.intel.com>

Add the requisite arch specific Kconfig options to enable the use of the
sparsemem implementation for NUMA kernels on x86-64.

Signed-off-by: Matt Tolentino <matthew.e.tolentino@intel.com>
Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/x86_64/Kconfig |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+)

diff -puN arch/x86_64/Kconfig~add-x86-64-kconfig-options-for-sparsemem arch/x86_64/Kconfig
--- 25/arch/x86_64/Kconfig~add-x86-64-kconfig-options-for-sparsemem	Wed May 18 14:45:04 2005
+++ 25-akpm/arch/x86_64/Kconfig	Wed May 18 14:45:04 2005
@@ -274,8 +274,27 @@ config NUMA
        bool
        default n
 
+config ARCH_DISCONTIGMEM_ENABLE
+	def_bool y
+	depends on NUMA
+
+config ARCH_DISCONTIGMEM_DEFAULT
+	def_bool y
+	depends on NUMA
+
+config ARCH_SPARSEMEM_ENABLE
+	def_bool y
+	depends on NUMA
+
+config ARCH_FLATMEM_ENABLE
+	def_bool y
+	depends on !NUMA
+
 source "mm/Kconfig"
 
+config HAVE_ARCH_EARLY_PFN_TO_NID
+	def_bool y
+
 config HAVE_DEC_LOCK
 	bool
 	depends on SMP
_
